net.dontdrinkandroot.visualization.placement.graph

## Class ForceOverlapRemovalPlacement

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.ForceOverlapRemovalPlacement

All Implemented Interfaces:
  ItemPlacement, Placement

    public class ForceOverlapRemovalPlacement
    extends Object
    implements ItemPlacement

### Constructor Summary

Constructors
Constructor and Description
`ForceOverlapRemovalPlacement()`
`ForceOverlapRemovalPlacement(double stepSize)`
`ForceOverlapRemovalPlacement(double stepSize, double minDistance)`

### Method Summary

Methods
`void` `place(Collection<VisualItem> items)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForceOverlapRemovalPlacement

    public ForceOverlapRemovalPlacement()

#### ForceOverlapRemovalPlacement

    public ForceOverlapRemovalPlacement(double stepSize)

#### ForceOverlapRemovalPlacement

    public ForceOverlapRemovalPlacement(double stepSize,
                                double minDistance)

### Method Detail

#### place

    public void place(Collection<VisualItem> items)
               throws PlacementException

Specified by:
  `place` in interface `ItemPlacement`
Throws:
  `PlacementException`